<?php   defined('C5_EXECUTE') or die("Access Denied.");
$pkg = Package::getByHandle('exit_intent');
$pkgVersion = $pkg->getPackageVersion();
$al = $app->make('helper/concrete/asset_library');
$fh = $app->make('helper/form/color');
$formPageSelector = $app->make('helper/form/page_selector');
$addSelected = true;
?>

<p>
<?php print $app->make('helper/concrete/ui')->tabs(array(
	array('form-setup', t('Configure'), $addSelected), array('form-contents', t('Content')), array('form-design', t('Design')), array('form-help', '<i class="fa fa-question-circle"></i>')
));?>
</p>
<!-- Setup Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-setup">
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<?php   echo $form->label('fxclass', t('Animation Effect'));?>
				<?php   echo $form->select('fxclass', array("random"=>t("Random"),"rubberBand"=>t("Rubber Band"),"pulse"=>t("Pulse"),"fadeIn"=>t("Fade In"),"rotateIn"=>t("Rotate In"),"rollIn"=>t("Roll In"),"bounceIn"=>t("Bounce In"),"slideInDown"=>("Slide In Down"),"slideInUp"=>t("Slide In Up"),"slideInLeft"=>t("Slide In Left"),"slideInRight"=>t("Slide In Right"),"zoomIn"=>t("Zoom In")),$fxclass);?>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<?php echo $form->label('hideaftershow', t('Keep Hidden After Closed?'));?>
				<?php echo $form->select('hideaftershow', array("true"=>t("Yes"),"false"=>t("No - Popup is persistent")),$hideaftershow);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<div class="form-group">
				<?php echo $form->label('displayfreq', t('Display Frequency'));?>
				<?php echo $form->select('displayfreq', array("always"=>t("Always"),"session"=>t("Session"),"1hour"=>t("Every 1 hour"),"6hour"=>t("Every 6 hours"),"12hour"=>t("Every 12 hours"),"1day"=>t("Every 24 hours"),"3day"=>t("Every 3 days"),"7day"=>t("Every 7 days")),$displayfreq);?>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<?php echo $form->label('delayregister', t('Register Delay'));?>
			<div class="input-group">
				<?php echo $form->number('delayregister', $delayregister?$delayregister:"0", array('min'=>0));?>
				<div class="input-group-addon"><?php echo t('ms')?></div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12 col-sm-6">
			<?php echo $form->label('delayshow', t('Delay Popup Display by'));?>
			<div class="input-group">
				<?php echo $form->number('delayshow', $delayshow?$delayshow:"200", array('min'=>0));?>
				<div class="input-group-addon"><?php echo t('ms')?></div>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6">
			<?php echo $form->label('mobileshowafter', t('Delay Popup on Mobile for'));?>
			<div class="input-group">
				<?php echo $form->number('mobileshowafter', $mobileshowafter?$mobileshowafter:"3", array('min'=>0));?>
				<div class="input-group-addon"><?php echo t('seconds')?></div>
			</div>
		</div>
	</div>
</div>

<!-- Content Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-contents">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php echo $form->label('contentType', t('Content Type'));?>
				<?php echo $form->select('contentType', array("basic"=>t("Basic Content"),"img"=>t("Image with Link"),"video"=>t("Video"),"stack"=>t("Stack")),$contentType,array("onChange" => "updateContentType();"));?>
			</div>
			<div class="form-group" id="form-basic-content">
				<?php  echo $form->label("exitpopcontent",t("Popup Content"));?>
				<?php echo $app->make('editor')->outputBlockEditModeEditor($view->field('exitpopcontent'), $exitpopcontent); ?>
			</div>
			<div id="form-imglink">
				<div class="row"><div class="col-sm-12">
					<div class="form-group">
						<?php  echo $form->label("cta-image",t("CTA Image")); ?>
						<div class="input">
						<?php if($fID){ echo $al->image('cta-image', 'fID', t('Choose Image'), ($fID)?File::getByID($fID):""); }
						else { echo $al->image('cta-image', 'fID', t('Choose Image')); } ?>
						</div>
					</div>
					<div class="form-group">
						<?php  echo $form->label('linkType', t('Destination URL'))?>
						<select name="linkType" data-select="feature-link-type" class="form-control">
							<option value="1" <?php echo (empty($externalLink) && !empty($internalLinkCID) ? 'selected="selected"' : '')?>><?php   echo t('Internal Page')?></option>
							<option value="2" <?php echo (!empty($externalLink) ? 'selected="selected"' : '')?>><?php   echo t('External URL')?></option>
						</select>
					</div>
				</div></div>
				<div class="row"><div class="col-sm-8">
					<div data-select-contents="feature-link-type-internal" style="display: none;" class="form-group">
						<?php  echo $formPageSelector->selectPage('internalLinkCID',$internalLinkCID); ?>
					</div>
					<div data-select-contents="feature-link-type-external" style="display: none;" class="form-group">
						<?php echo $form->text('externalLink', $externalLink?$externalLink:"http://"); ?>
					</div>
				</div><div class="col-sm-4">
					<div class="form-group">
						<?php echo $form->label('ltarget', t('Link Target'));?>
						<?php echo $form->select('ltarget', array("self"=>t("Same Window"),"blank"=>t("New Window"),"parent"=>t("Parent"),"top"=>t("Top")),$ltarget);?>
					</div>
				</div></div>
			</div>
			<div id="form-video">
				<div class="row">
					<div class="col-sm-4">
						<div class="form-group">
							<?php echo $form->label('vidtype', t('Video Type'));?>
							<?php echo $form->select('vidtype', array("yt"=>t("YouTube"),"vimeo"=>t("Vimeo")),$vidtype,array("onChange" => "updateVideoType();"));?>
						</div>
					</div>
					<div class="col-sm-8">
						<div id="form-ytvid">
							<?php echo $form->label('ytvidid', t('YouTube Video ID'));?>
							<div class="input-group">
								<div class="input-group-addon"><i class="fa fa-youtube"></i> https://youtu.be/</div>
								<?php echo $form->text('ytvidid', $ytvidid?$ytvidid:"WLTzOrD43ZA");?>
							</div>
						</div>
						<div id="form-vvid">
							<?php echo $form->label('vvidid', t('Vimeo Video ID'));?>
							<div class="input-group">
								<div class="input-group-addon"><i class="fa fa-vimeo"></i> https://vimeo.com/</div>
								<?php echo $form->text('vvidid', $vvidid?$vvidid:"56393587");?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="form-stack">
				<div class="row">
					<div class="col-sm-12">
						<?php echo $form->label('stID', t('Stack'));?>
						<p><?php echo t('Select a stack. If none are available, you will need to create one.')?></p>
						<div class="input-group">
							<div class="input-group-addon"><i class="fa fa-bars"></i></div>
							<?php echo $form->select('stID', $stackList, $stID);?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- Design Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">

	<div class="row">
		<div class="col-xs-4">
			<div class="form-group">
				<label class="form-label"><?php echo t('Border Color')?></label><br />
				<?php $fh->output('bColor', $bColor?$bColor:"rgba(255,255,255,1)", array('showAlpha' => 'true'));?>
			</div>
		</div>
		<div class="col-sm-4">
			<?php echo $form->label('bwidth', t('Border Width'));?>
			<div class="input-group">
				<?php echo $form->number('bwidth', $bwidth?$bwidth:"2", array('min'=>0,'max'=>50));?>
				<div class="input-group-addon">px</div>
			</div>
		</div>
		<div class="col-xs-4">
			<div class="form-group">
				<?php echo $form->label('bstyle', t('Border Style'));?>
				<?php echo $form->select('bstyle', array("solid"=>t("Solid"),"dashed"=>t("Dashed"),"dotted"=>t("Dotted"),"double"=>t("Double")),$bstyle);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-sm-4">
			<div class="form-group">
				<label class="form-label"><?php echo t('Content Background')?></label><br />
				<?php $fh->output('bgColor', $bgColor?$bgColor:"rgba(255,255,255,1)", array('showAlpha' => 'true'));?>
			</div>
		</div>
		<div class="col-sm-4">
			<?php echo $form->label('popwidth', t('Popup Width'));?>
			<div class="input-group">
				<?php echo $form->number('popwidth', $popwidth?$popwidth:"90", array('min'=>1,'max'=>100));?>
				<div class="input-group-addon">%</div>
			</div>
		</div>
		<div class="col-sm-4">
			<?php echo $form->label('maxwidth', t('Maximum Width'));?>
			<div class="input-group">
				<?php echo $form->number('maxwidth', $maxwidth?$maxwidth:"600", array('min'=>1,'max'=>10000));?>
				<div class="input-group-addon">px</div>
			</div>
		</div>
	</div>

</div>

<!-- Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
	<div class="row">
		<div class="col-xs-12">
			<p><strong><?php  echo t('Version: %s', $pkgVersion);?></strong></p>
			<p><a href="http://www.concrete5.org/marketplace/addons/exit-intent" target="_blank"><?php  echo t('Marketplace Page')?></a></p>
			<p><?php  echo t('Developed by')?> <a href="https://www.concrete5.org/profile/-/view/11911/" target="_blank">Pine Creative Labs</a></p>
			<hr />
			<h3><?php echo t('Configuration') ?></h3>
			<p><strong><?php  echo t('Animation Effect')?></strong> - <?php  echo t('Popup animation effect.')?></p>
			<p><strong><?php  echo t('Keep Hidden After Closed')?></strong> - <?php  echo t('Set to <em>yes</em> to prevent the popup from opening again once it has been closed; set to <em>no</em> to make the popup persist on opening every time the user attempts to exit.')?></p>
			<p><strong><?php  echo t('Display frequency')?></strong> - <?php  echo t('Sets how frequently the exit pop is shown. Set to <em>Always</em> to show popup every time the page is loaded. Set to <em>Session</em> to display popup only once per browser session. Or, select a pre-defined amount of time.')?></p>
			<p><strong><?php  echo t('Register Delay')?></strong> - <?php  echo t('Sets the delay in milliseconds after the page loads before the exit popup is registered and reacts to mouse movements.')?></p>
			<p><strong><?php  echo t('Delay Popup Display')?></strong> - <?php  echo t('Specify a time in milliseconds that the popup display is delayed by, after the mouse is moved above the browser\'s top boundary.')?></p>
			<p><strong><?php  echo t('Delay on mobile')?></strong> - <?php  echo t('Specify a time in seconds that the popup is displayed on mobile devices, after the user has touched the page.')?></p>
			<h3><?php echo t('Content') ?></h3>
			<p><strong><?php echo t('Basic Content')?></strong> - <?php echo t('Inline content editor. Styles should inherit from current theme.')?></p>
			<p><strong><?php echo t('Image with link')?></strong> - <?php echo t('Display an image, and optionally apply a link to either an internal or external URL.')?></p>
			<p><strong><?php echo t('Video')?></strong> - <?php echo t('Display either a YouTube or Vimeo video. Only the video ID is needed.')?></p>
			<h3><?php echo t('Design') ?></h3>
			<p><strong><?php echo t('Border Style')?></strong> - <?php echo t('Apply a border color, thickness, and style.')?></p>
			<p><strong><?php echo t('Content Background')?></strong> - <?php echo t('Apply a color background to the popup content.')?></p>
			<p><strong><?php echo t('Popup Width')?></strong> - <?php echo t('Specify a width - up to 100%, and a maximum width in pixels.')?></p>
		</div>
	</div>
</div>

<script type="text/javascript">
    function updateContentType(){
        $("#contentType").each(function(){
             if ($(this).find("option:selected").val() == "basic" ) {
                $("#form-imglink").hide();
                $("#form-video").hide();
				$("#form-basic-content").show();
				$("#form-stack").hide();
            }
			if ( $(this).find("option:selected").val() == "img" ) {
                $("#form-imglink").show();
                $("#form-video").hide();
				$("#form-basic-content").hide();
				$("#form-stack").hide();
            }
            if ($(this).find("option:selected").val() == "video" ) {
                $("#form-imglink").hide();
                $("#form-video").show();
				$("#form-basic-content").hide();
				$("#form-stack").hide();
            }
			if ($(this).find("option:selected").val() == "stack" ) {
                $("#form-imglink").hide();
                $("#form-video").hide();
				$("#form-basic-content").hide();
				$("#form-stack").show();
            }
		});
	};
	updateContentType();
	function updateVideoType(){
        $("#vidtype").each(function(){
             if ($(this).find("option:selected").val() == "yt" ) {
                $("#form-vvid").hide();
				$("#form-ytvid").show();
            }
			if ( $(this).find("option:selected").val() == "vimeo" ) {
                $("#form-vvid").show();
                $("#form-ytvid").hide();
            }
		});
	};
	updateVideoType();
$(function() {   
	$('select[data-select=feature-link-type]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal]').show();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').show();
	   }
	}).trigger('change');
});
</script>