<?php   namespace Concrete\Package\ExitIntent;
use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Block\BlockType\Set as BlockTypeSet;
use Concrete\Core\Support\Facade\Database;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {

	protected $pkgHandle = 'exit_intent';
	protected $appVersionRequired = '5.7.5.6';
	protected $pkgVersion = '1.2';

	public function getPackageDescription(){
		return t("Display a popup message when the user tries to leave a page.");
	}
	public function getPackageName(){
		return t("Exit Intent");
	}
	public function install(){
		$pkg = parent::install();
		BlockTypeSet::add("marketing","Marketing", $pkg);
		if (!is_object(BlockType::getByHandle('exit_intent'))) {
			BlockType::installBlockType('exit_intent', $pkg); 
		}
	}
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btExitIntent');
	}
}
?>